summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/ogmtools/README4
-rw-r--r--audio/ogmtools/ogmtools.SlackBuild27
-rw-r--r--audio/ogmtools/ogmtools.info4
-rw-r--r--audio/ogmtools/slack-desc12
4 files changed, 29 insertions, 18 deletions
diff --git a/audio/ogmtools/README b/audio/ogmtools/README
index b259a91616..cf7db9864b 100644
--- a/audio/ogmtools/README
+++ b/audio/ogmtools/README
@@ -1,7 +1,3 @@
OGMTools allows information about ogg media, extraction of ogg media
streams and creation of ogg media streams (ogm).
-Dependencies include:
- 1. libdvdread (available at SBo)
- 2. libvorbis (available in Slackware)
- 3. vorbis-tools (available in Slackware)
diff --git a/audio/ogmtools/ogmtools.SlackBuild b/audio/ogmtools/ogmtools.SlackBuild
index 0a238cbd3b..4fc3c69151 100644
--- a/audio/ogmtools/ogmtools.SlackBuild
+++ b/audio/ogmtools/ogmtools.SlackBuild
@@ -38,20 +38,23 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
CWD=$(pwd)
-set -e
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e
+
rm -fr $TMP/$PRGNAM-$VERSION $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-tar xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $TMP/$PRGNAM-$VERSION
chown -R root.root .
@@ -63,13 +66,15 @@ find . \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure --prefix=/usr \
---exec-prefix=/usr \
---sysconfdir=/etc \
---localstatedir=/var \
---mandir=/usr/man \
---infodir=/usr/info \
---build=$ARCH-slackware-linux
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --exec-prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
@@ -92,4 +97,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
### building package
chown -R root.root $PKG
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/ogmtools/ogmtools.info b/audio/ogmtools/ogmtools.info
index 409bf28829..0eaaa3f55d 100644
--- a/audio/ogmtools/ogmtools.info
+++ b/audio/ogmtools/ogmtools.info
@@ -2,7 +2,9 @@ PRGNAM="ogmtools"
VERSION="1.5"
HOMEPAGE="http://www.bunkus.org/videotools/ogmtools/"
DOWNLOAD="http://www.bunkus.org/videotools/ogmtools/ogmtools-1.5.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="02d356e3d21d53b1d9715bab223d8996"
+MD5SUM_x86_64=""
MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="David Somero"
+APPROVED="dsomero"
diff --git a/audio/ogmtools/slack-desc b/audio/ogmtools/slack-desc
index 0d49e163ee..6c415b665a 100644
--- a/audio/ogmtools/slack-desc
+++ b/audio/ogmtools/slack-desc
@@ -1,11 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
ogmtools: ogmtools (Ogg Media Tools)
ogmtools:
ogmtools: Tools to allow information, extraction or creation of
ogmtools: Ogg media streams. Utilities include ogmmerge, ogminfo,
ogmtools: ogmdemux, ogmsplit, ogmcat and dvdxchap.
ogmtools:
-ogmtools: Packaged by Nishant Limbachia
-ogmtools: Home Page: http://www.bunkus.org/videotools/ogmtools/
+ogmtools:
+ogmtools: Homepage: http://www.bunkus.org/videotools/ogmtools/
ogmtools:
ogmtools:
ogmtools: